﻿using Education.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Education.VariableTemplate
{
    public class VariableStyles : StyleSelector
    {
        //LiveItemContainerStyle


        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            FrameworkElement element = container as FrameworkElement;
            if (item != null && element != null)
            {
                if (item.GetType() == typeof(HubPageDataItem))
                {
                    if ((item as HubPageDataItem).UniqueId.StartsWith("Tour"))
                        return App.Current.Resources["StaticContainerStyle"] as Style;      
                }

                else if (item.GetType() == typeof(Spoke1DataItem))
                {
                    if ((item as Spoke1DataItem).UniqueId.StartsWith("Overview"))
                        return App.Current.Resources["StaticContainerStyle"] as Style;
                                
                }

            }
            return base.SelectStyleCore(item, container);
        }

    }
}
